# TdApi.SetStickerEmojis (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SetStickerEmojis

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetStickerEmojis

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetStickerEmojis

Enclosing class:
  TdApi

public static final class TdApi.SetStickerEmojis extends TdApi.Function<TdApi.Ok>
Changes the list of emoji corresponding to a sticker; for bots only. The sticker must belong to a regular or custom emoji sticker set created by the bot. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`emojis`
New string with 1-20 emoji corresponding to the sticker.
`TdApi.InputFile`
`sticker`
Sticker.

## Constructor Summary

Constructors
Constructor
Description
`SetStickerEmojis()`
Changes the list of emoji corresponding to a sticker; for bots only.
`SetStickerEmojis(TdApi.InputFile sticker, String emojis)`
Changes the list of emoji corresponding to a sticker; for bots only.
`SetStickerEmojis(DataInput input)`
Changes the list of emoji corresponding to a sticker; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### sticker

public TdApi.InputFile sticker
Sticker.

### emojis

public String emojis
New string with 1-20 emoji corresponding to the sticker.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetStickerEmojis

public SetStickerEmojis()
Changes the list of emoji corresponding to a sticker; for bots only. The sticker must belong to a regular or custom emoji sticker set created by the bot. Returns `Ok`

### SetStickerEmojis

public SetStickerEmojis(TdApi.InputFile sticker, String emojis)
Changes the list of emoji corresponding to a sticker; for bots only. The sticker must belong to a regular or custom emoji sticker set created by the bot. Returns `Ok`

Parameters:
  `sticker` - InputFile Sticker.
  `emojis` - String New string with 1-20 emoji corresponding to the sticker.

### SetStickerEmojis

public SetStickerEmojis(DataInput input) throws IOException
Changes the list of emoji corresponding to a sticker; for bots only. The sticker must belong to a regular or custom emoji sticker set created by the bot. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`